### Method

# CloudProviders DbusObject get_provider

#### Declaration [src]

    CloudProvidersDbusProvider*
    cloud_providers_dbus_object_get_provider (
      CloudProvidersDbusObject* object
    )

#### Description [src]

Gets the `CloudProvidersDbusProvider` instance for the D-Bus interface org.freedesktop.CloudProviders.Provider on `object`, if any.

Gets property | `CloudProviders.DbusObject:provider`

#### Return value

Type: `CloudProvidersDbusProvider`

A `CloudProvidersDbusProvider` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.